> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-5/v5-9-3.md).

# Version 5.9.3 Changelog (February 18, 2013)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 5.9.3.17199

Release Date: February 18, 2013

### Notes

* Added PDFViewCtrl.setPageRefViewMode() and PDFViewCtrl.getPageRefViewMode() to control the page view/fit mode upon page change.
* Added PDFNet.setViewerCache() and PDFViewCtrl.setViewerCache() to support fast rendering.
* Added PDFNetSDKSampleDemo project, which showcases the API and includes several sample code files.
* Modified PDFViewCtrl.setUseThumbView() to allow user to set the thumbnail maximum side length.
* Fixed an issue that would prevent compiling with API 11 (Honeycomb).
* Fixed an issue of flickering when using PDFViewCtrl in different layout schemas.
* Fixed an issue with alpha values for transparent images.
* Fixed an issue that on Android 16 (Jelly Bean 4.1), zooming might cause page change in single page mode. This is caused by the new gesture dectector behavior on Android 16.
* Fixed an issue with the page indicator being drawn in a different position when sliding pages. This is caused when the hardware acceleration is turned on in the manifest and the device is running Android >= ICS.
* Misc bug fixes and improvements.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/android/changelogs/version-5/v5-9-3.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
